Changes In Branch winFixes Through [df02b7cfd1] Excluding Merge-Ins
This is equivalent to a diff from 90ea47d409 to df02b7cfd1
2014-08-31
| ||
19:04 | Added Incr Tcl check-in: 5ae5d6d398 user: rkeene tags: trunk | |
2014-08-28
| ||
20:06 | Remove obsolete differences that are no longer needed. check-in: b5def69863 user: mistachkin tags: winFixes | |
18:27 | Merge updates from trunk. check-in: df02b7cfd1 user: mistachkin tags: winFixes | |
18:13 | Updated to clear DESTDIR as well, since it also breaks the build check-in: 90ea47d409 user: rkeene tags: trunk | |
17:44 | Updated to Tcl 8.6.2 and updated to clear MAKEFLAGS environment variable, which can influence sub-builds check-in: fb09031888 user: rkeene tags: trunk | |
2013-11-05
| ||
10:15 | More progress on getting new version of zlib working. check-in: 07ceeb4833 user: mistachkin tags: winFixes | |
Modified README from [8ae30752c4] to [1a63b72891].
︙ | ︙ | |||
136 137 138 139 140 141 142 | Set this variable to a non-empty string to exclude unnecessary packages from Tcl build. This excludes the following packages: tcltest Additionally, any bundled packages (in the "pkgs" directory) are excluded. This typically includes (as of Tcl 8.6): itcl thread | < < < | 136 137 138 139 140 141 142 143 144 145 146 147 148 149 | Set this variable to a non-empty string to exclude unnecessary packages from Tcl build. This excludes the following packages: tcltest Additionally, any bundled packages (in the "pkgs" directory) are excluded. This typically includes (as of Tcl 8.6): itcl thread Cross compiling Environment Variables: 1. CC C compiler e.g. i686-pc-mingw32-gcc 2. CXX |
︙ | ︙ | |||
169 170 171 172 173 174 175 | Set this to the name of compiler on the host on which the cross compilation is being run. On Windows we also need this: 1. RC Resource compiler : e.g. i686-pc-mingw32-windres | < | 166 167 168 169 170 171 172 173 174 175 176 177 178 179 | Set this to the name of compiler on the host on which the cross compilation is being run. On Windows we also need this: 1. RC Resource compiler : e.g. i686-pc-mingw32-windres Kitsh Configure Options: 1. --enable-kit-storage={zip|mk4|auto} Specify which type of storage to use with the Tclkit. The default is to auto-detect. Auto-detection uses Mk4 if available and built statically, otherwise it falls back to Zip. |
︙ | ︙ |
Modified kitcreator from [0b4c5bb22b] to [de6501332a].
︙ | ︙ | |||
16 17 18 19 20 21 22 23 24 25 26 27 28 29 | TCLVERS="8.6.2" if echo "$1" | grep '^[0-9][0-9]*\.' >/dev/null || echo "$1" | egrep '^(cvs|fossil)_' >/dev/null; then TCLVERS="$1" shift fi export TCLVERS # Verify that "pre.sh" has been run if this is a development snapshot of # KitCreator if [ -f 'build/pre.sh' ]; then if ! find 'kitsh/buildsrc/' -name configure -type f 2>/dev/null | grep configure >/dev/null; then echo "Please remember to run 'build/pre.sh' if you expect this build to work." >&2 fi | > > > > | 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 | TCLVERS="8.6.2" if echo "$1" | grep '^[0-9][0-9]*\.' >/dev/null || echo "$1" | egrep '^(cvs|fossil)_' >/dev/null; then TCLVERS="$1" shift fi export TCLVERS # Determine the two part Tcl version TCLVERS2=$(echo ${TCLVERS} | cut -d. -f1,2) export TCLVERS2 # Verify that "pre.sh" has been run if this is a development snapshot of # KitCreator if [ -f 'build/pre.sh' ]; then if ! find 'kitsh/buildsrc/' -name configure -type f 2>/dev/null | grep configure >/dev/null; then echo "Please remember to run 'build/pre.sh' if you expect this build to work." >&2 fi |
︙ | ︙ |
Modified kitsh/build.sh from [0e6a9ba02e] to [0084e3a935].
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 | #! /usr/bin/env bash if [ ! -f 'build.sh' ]; then echo 'ERROR: This script must be run from the directory it is in' >&2 exit 1 fi if [ -z "${TCLVERS}" ]; then echo 'ERROR: The TCLVERS environment variable is not set' >&2 exit 1 fi KITSHVERS="0.0" BUILDDIR="$(pwd)/build/kitsh-${KITSHVERS}" OUTDIR="$(pwd)/out" INSTDIR="$(pwd)/inst" OTHERPKGSDIR="$(pwd)/../" export KITSHVERS BUILDDIR OUTDIR INSTDIR OTHERPKGSDIR | > > > > > | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 | #! /usr/bin/env bash if [ ! -f 'build.sh' ]; then echo 'ERROR: This script must be run from the directory it is in' >&2 exit 1 fi if [ -z "${TCLVERS}" ]; then echo 'ERROR: The TCLVERS environment variable is not set' >&2 exit 1 fi if [ -z "${TCLVERS2}" ]; then echo 'ERROR: The TCLVERS2 environment variable is not set' >&2 exit 1 fi KITSHVERS="0.0" BUILDDIR="$(pwd)/build/kitsh-${KITSHVERS}" OUTDIR="$(pwd)/out" INSTDIR="$(pwd)/inst" OTHERPKGSDIR="$(pwd)/../" export KITSHVERS BUILDDIR OUTDIR INSTDIR OTHERPKGSDIR |
︙ | ︙ | |||
200 201 202 203 204 205 206 207 208 209 210 211 212 213 | elif echo 'exit 0' | ./kit >/dev/null 2>/dev/null; then ## Bootstrap (cannot cross-compile) ### Call installer cp kit runkit echo "set argv [list {${KITTARGET_NAME}} starpack.vfs {${ENABLECOMPRESSION}}]" > setup.tcl echo 'if {[catch { clock seconds }]} { proc clock args { return 0 } }' >> setup.tcl echo 'source installvfs.tcl' >> setup.tcl echo 'Running: echo | ./runkit setup.tcl' echo | ./runkit setup.tcl || exit 1 else ## Install using Tclsh, which may work if we're not using Metakit ### Call installer echo "Running: \"${TCLSH_NATIVE}\" installvfs.tcl \"${KITTARGET_NAME}\" starpack.vfs \"${ENABLECOMPRESSION}\"" | > > > | 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 | elif echo 'exit 0' | ./kit >/dev/null 2>/dev/null; then ## Bootstrap (cannot cross-compile) ### Call installer cp kit runkit echo "set argv [list {${KITTARGET_NAME}} starpack.vfs {${ENABLECOMPRESSION}}]" > setup.tcl echo 'if {[catch { clock seconds }]} { proc clock args { return 0 } }' >> setup.tcl echo 'source installvfs.tcl' >> setup.tcl TCL_LIBRARY="$(pwd)/starpack.vfs/lib/tcl${TCLVERS2}" export TCL_LIBRARY echo 'Running: echo | ./runkit setup.tcl' echo | ./runkit setup.tcl || exit 1 else ## Install using Tclsh, which may work if we're not using Metakit ### Call installer echo "Running: \"${TCLSH_NATIVE}\" installvfs.tcl \"${KITTARGET_NAME}\" starpack.vfs \"${ENABLECOMPRESSION}\"" |
︙ | ︙ |
Modified kitsh/buildsrc/kitsh-0.0/installvfs.tcl from [5bb6ad9ccb] to [ea792ed6a5].
︙ | ︙ | |||
9 10 11 12 13 14 15 16 17 18 19 20 21 22 | } set kitfile [lindex $argv 0] set vfsdir [lindex $argv 1] if {[lindex $argv 2] != ""} { set opt_compression [lindex $argv 2] } # Determine what storage mechanism is being used set fd [open Makefile.common r] set data [read $fd] close $fd if {[string match "*KIT_STORAGE_ZIP*" $data]} { | > > > > > | 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 | } set kitfile [lindex $argv 0] set vfsdir [lindex $argv 1] if {[lindex $argv 2] != ""} { set opt_compression [lindex $argv 2] } # On Windows, use the ".exe" file extension if {$tcl_platform(platform) eq "windows"} { set kitfile [file rootname $kitfile].exe } # Determine what storage mechanism is being used set fd [open Makefile.common r] set data [read $fd] close $fd if {[string match "*KIT_STORAGE_ZIP*" $data]} { |
︙ | ︙ |
Modified thread/build.sh from [a260bfcb8c] to [baef8e31a8].
1 2 3 4 5 6 7 8 9 10 11 12 13 | #! /usr/bin/env bash if [ ! -f 'build.sh' ]; then echo 'ERROR: This script must be run from the directory it is in' >&2 exit 1 fi if [ -z "${TCLVERS}" ]; then echo 'ERROR: The TCLVERS environment variable is not set' >&2 exit 1 fi | | | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 | #! /usr/bin/env bash if [ ! -f 'build.sh' ]; then echo 'ERROR: This script must be run from the directory it is in' >&2 exit 1 fi if [ -z "${TCLVERS}" ]; then echo 'ERROR: The TCLVERS environment variable is not set' >&2 exit 1 fi THREADVERS="2.7.0" SRC="src/thread-${THREADVERS}.tar.gz" SRCURL="http://sourceforge.net/projects/tcl/files/Thread%20Extension/${THREADVERS}/thread${THREADVERS}.tar.gz/download" BUILDDIR="$(pwd)/build/thread${THREADVERS}" OUTDIR="$(pwd)/out" INSTDIR="$(pwd)/inst" export THREADVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR |
︙ | ︙ |
Modified zlib/build.sh from [13b1c7bf71] to [d95f997208].
︙ | ︙ | |||
13 14 15 16 17 18 19 | ZLIBVERS="1.2.8" SRC="src/zlib-${ZLIBVERS}.tar.gz" SRCURL="http://sourceforge.net/projects/libpng/files/zlib/${ZLIBVERS}/zlib-${ZLIBVERS}.tar.gz/download" BUILDDIR="$(pwd)/build/zlib-${ZLIBVERS}" OUTDIR="$(pwd)/out" INSTDIR="$(pwd)/inst" | > > | | 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 | ZLIBVERS="1.2.8" SRC="src/zlib-${ZLIBVERS}.tar.gz" SRCURL="http://sourceforge.net/projects/libpng/files/zlib/${ZLIBVERS}/zlib-${ZLIBVERS}.tar.gz/download" BUILDDIR="$(pwd)/build/zlib-${ZLIBVERS}" OUTDIR="$(pwd)/out" INSTDIR="$(pwd)/inst" PATCHSCRIPTDIR="$(pwd)/patchscripts" PATCHDIR="$(pwd)/patches" export ZLIBVERS SRC SRCURL BUILDDIR OUTDIR INSTDIR PATCHSCRIPTDIR PATCHDIR # Set configure options for this sub-project LDFLAGS="${LDFLAGS} ${KC_ZLIB_LDFLAGS}" CFLAGS="${CFLAGS} ${KC_ZLIB_CFLAGS}" CPPFLAGS="${CPPFLAGS} ${KC_ZLIB_CPPFLAGS}" LIBS="${LIBS} ${KC_ZLIB_LIBS}" export LDFLAGS CFLAGS CPPFLAGS LIBS |
︙ | ︙ |
Added zlib/patches/1.2.8/zlib-1.2.8-enable-configure.diff version [2e0d9c8d12].
> > > > > > > > > > > > > > | 1 2 3 4 5 6 7 8 9 10 11 12 13 14 | diff -uNr zlib-1.2.8.orig/configure zlib-1.2.8/configure --- zlib-1.2.8.orig/configure 2013-03-23 22:30:09 -0700 +++ zlib-1.2.8/configure 2013-11-05 00:33:39 -0800 @@ -191,10 +191,6 @@ CYGWIN* | Cygwin* | cygwin* | OS/2*) EXE='.exe' ;; MINGW* | mingw*) -# temporary bypass - rm -f $test.[co] $test $test$shared_ext - echo "Please use win32/Makefile.gcc instead." | tee -a configure.log - leave 1 LDSHARED=${LDSHARED-"$cc -shared"} LDSHAREDLIBC="" EXE='.exe' ;; |